Async Get Vehicle Registration Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/get-vehicle-rc \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/get-vehicle-rc"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/get-vehicle-rc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/get-vehicle-rc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/get-vehicle-rc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/get-vehicle-rc")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/get-vehicle-rc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"action": "verify_with_source",
"completed_at": "2025-01-28T13:26:23+05:30",
"created_at": "2025-01-28T13:26:23+05:30",
"group_id": "8e16424a-58fc-4ba4-ab20-5bc8e7c3c41e",
"request_id": "26525fd1-e48e-4016-952d-387b78086ece",
"result": {
"extraction_output": {
"avg_gross_vehicle_weight": "0",
"axle_configuration": null,
"chassis_number": "ME4JC735SDT039474",
"color": "I RED M",
"emission_norms": null,
"engine_number": "JC73ET1094671",
"fitness_upto": "2032-06-28",
"fuel_type": "PETROL",
"insurance_details": null,
"insurance_validity": "2024-07-13",
"maker_model": "CB125 SHINE SP CBF125MH BS4",
"manufacturer": "HONDA MOTORCYCLE AND SCOOTER INDIA (P) LTD",
"mv_tax_upto": "2032-06-28",
"owner_name": "MOSD NIHARIKA",
"owner_number": "",
"permit_issue_date": null,
"permit_number": "",
"permit_type": "",
"permit_validity": null,
"puc_number_upto": null,
"registration_date": "2017-06-29",
"registration_number": "KA01KT4652",
"rto_name": null,
"status": "id_found",
"unladen_weight": "118",
"vehicle_class": "2WN",
"vehicle_financier": ""
}
},
"status": "completed",
"task_id": "7aaf3a2-7b9d-42e7-a19b-18da15a04cc6",
"type": "ind_rc_basic"
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": 1738007666043,
"transaction_id": "ad0f216d6bfe496f943cbbec47d07426",
"sub_code": "INVALID_REQUEST_ID",
"message": "Invalid Request ID"
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}Async
Result Vehicle RC - Basic
The Async - get vehicle registration verification-basic section allows users to request verification information for a vehicle’s registration. By utilizing this functionality, developers can retrieve essential details related to a vehicle’s registration status, aiding in various verification processes. This section streamlines the access to crucial vehicle registration data for seamless integration into applications.
GET
/
v1
/
verification
/
get-vehicle-rc
Async Get Vehicle Registration Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/get-vehicle-rc \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/get-vehicle-rc"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/get-vehicle-rc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/get-vehicle-rc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/get-vehicle-rc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/get-vehicle-rc")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/get-vehicle-rc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"action": "verify_with_source",
"completed_at": "2025-01-28T13:26:23+05:30",
"created_at": "2025-01-28T13:26:23+05:30",
"group_id": "8e16424a-58fc-4ba4-ab20-5bc8e7c3c41e",
"request_id": "26525fd1-e48e-4016-952d-387b78086ece",
"result": {
"extraction_output": {
"avg_gross_vehicle_weight": "0",
"axle_configuration": null,
"chassis_number": "ME4JC735SDT039474",
"color": "I RED M",
"emission_norms": null,
"engine_number": "JC73ET1094671",
"fitness_upto": "2032-06-28",
"fuel_type": "PETROL",
"insurance_details": null,
"insurance_validity": "2024-07-13",
"maker_model": "CB125 SHINE SP CBF125MH BS4",
"manufacturer": "HONDA MOTORCYCLE AND SCOOTER INDIA (P) LTD",
"mv_tax_upto": "2032-06-28",
"owner_name": "MOSD NIHARIKA",
"owner_number": "",
"permit_issue_date": null,
"permit_number": "",
"permit_type": "",
"permit_validity": null,
"puc_number_upto": null,
"registration_date": "2017-06-29",
"registration_number": "KA01KT4652",
"rto_name": null,
"status": "id_found",
"unladen_weight": "118",
"vehicle_class": "2WN",
"vehicle_financier": ""
}
},
"status": "completed",
"task_id": "7aaf3a2-7b9d-42e7-a19b-18da15a04cc6",
"type": "ind_rc_basic"
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": 1738007666043,
"transaction_id": "ad0f216d6bfe496f943cbbec47d07426",
"sub_code": "INVALID_REQUEST_ID",
"message": "Invalid Request ID"
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
A unique identifier for the vehicle registration verification request.